﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using prjOrders.Models.OrderDbContext;

namespace prjOrders.Migrations
{
    [DbContext(typeof(OrderContext))]
    partial class OrderContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.1")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("prjOrders.Models.OrderDbContext.Order", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("Date")
                        .HasColumnType("datetime2");

                    b.Property<string>("Number")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("ProviderId")
                        .HasColumnType("int");

                    b.HasKey("Id")
                        .HasName("PK_Order_Id");

                    b.HasIndex("ProviderId")
                        .HasName("FK_Order_ProviderId");

                    b.ToTable("Order");
                });

            modelBuilder.Entity("prjOrders.Models.OrderDbContext.OrderItem", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("OrderId")
                        .HasColumnType("int");

                    b.Property<decimal>("Quantity")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("Unit")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id")
                        .HasName("PK_OrderItem_Id");

                    b.HasIndex("OrderId")
                        .HasName("FK_OrderItem_OrderId");

                    b.ToTable("OrderItem");
                });

            modelBuilder.Entity("prjOrders.Models.OrderDbContext.Provider", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id")
                        .HasName("PK_Provider_Id");

                    b.ToTable("Provider");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Name = "Рога и копыта"
                        },
                        new
                        {
                            Id = 2,
                            Name = "SonyPony"
                        },
                        new
                        {
                            Id = 3,
                            Name = "DigitalYoYo"
                        });
                });

            modelBuilder.Entity("prjOrders.Models.OrderDbContext.Order", b =>
                {
                    b.HasOne("prjOrders.Models.OrderDbContext.Provider", "ProviderIdNav")
                        .WithMany("OrdersId")
                        .HasForeignKey("ProviderId")
                        .IsRequired();
                });

            modelBuilder.Entity("prjOrders.Models.OrderDbContext.OrderItem", b =>
                {
                    b.HasOne("prjOrders.Models.OrderDbContext.Order", "OrdersId")
                        .WithMany("OrderItemIds")
                        .HasForeignKey("OrderId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
